oRTP 0.25.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_PayloadType Struct Reference

## Data Fields
int | type
int | clock_rate
char | bits_per_sample
char * | zero_pattern
int | pattern_length
int | normal_bitrate
char * | mime_type
int | channels
char * | recv_fmtp
char * | send_fmtp
struct _PayloadTypeAvpfParams | avpf
int | flags
void * | user_data

## Field Documentation

int _PayloadType::channels

number of channels of audio

int _PayloadType::clock_rate

rtp clock rate

Referenced by rtp_session_create_telephone_event_packet(), rtp_session_get_current_recv_ts(), and rtp_session_get_current_send_ts().

char* _PayloadType::mime_type

actually the submime, ex: pcm, pcma, gsm

Referenced by payload_type_destroy().

int _PayloadType::type

one of PAYLOAD_* macros

The documentation for this struct was generated from the following file:

- include/ortp/payloadtype.h